from typing import List
import db
import ghidra.util.database
import java.lang
import java.nio


class DBCachedObjectStoreFactory(object):





    class StringDBFieldCodec(ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.reflect.Field, __a2: int): ...



        def doLoad(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def doStore(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: unicode, __a1: db.StringField) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...






    class EnumDBByteFieldCodec(ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.reflect.Field, __a2: int): ...



        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: java.lang.Enum, __a1: db.ByteField) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...






    class AbstractDBFieldCodec(object, ghidra.util.database.DBCachedObjectStoreFactory.DBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.Class, __a2: java.lang.Class, __a3: java.lang.reflect.Field, __a4: int): ...



        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...

        @property
        def fieldType(self) -> java.lang.Class: ...

        @property
        def objectType(self) -> java.lang.Class: ...

        @property
        def valueType(self) -> java.lang.Class: ...




    class ByteDBFieldCodec(ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.reflect.Field, __a2: int): ...



        def doLoad(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def doStore(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: int, __a1: db.ByteField) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...






    class ShortDBFieldCodec(ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.reflect.Field, __a2: int): ...



        def doLoad(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def doStore(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: int, __a1: db.ShortField) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...






    class ByteArrayDBFieldCodec(ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.reflect.Field, __a2: int): ...



        def doLoad(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def doStore(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: List[int], __a1: db.BinaryField) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...






    class DBFieldCodec(object):








        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...

        @property
        def fieldType(self) -> java.lang.Class: ...

        @property
        def objectType(self) -> java.lang.Class: ...

        @property
        def valueType(self) -> java.lang.Class: ...




    class IntDBFieldCodec(ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.reflect.Field, __a2: int): ...



        def doLoad(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def doStore(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: int, __a1: db.IntField) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...






    class VariantDBFieldCodec(ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.reflect.Field, __a2: int): ...



        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.BinaryField) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...






    class PrimitiveCodec(object):
        BOOL: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@2f6752b7
        BOOL_ARR: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@2579706f
        BYTE: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@5d670bd6
        BYTE_ARR: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$2@16d0b390
        CHAR: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@4025f6ad
        CHAR_ARR: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@12f1e881
        CODECS_BY_CLASS: java.util.Map = {<type 'java.lang.Byte'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@5d670bd6, <type '[B'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$2@16d0b390, <type '[I'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@7ececcf2, <type '[Ljava.lang.String;'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayObjectCodec@50d0a344, <type 'java.lang.Boolean'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@2f6752b7, <type 'java.lang.Integer'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@7a78143f, <type 'java.lang.Long'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@2e8cb321, <type '[S'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@24249b7, <type '[C'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@12f1e881, <type '[Z'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@2579706f, <type 'java.lang.Short'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@4173b53c, <type '[J'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@3b4c9559, <type 'java.lang.String'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$1@18889e3, <type 'java.lang.Character'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@4025f6ad}
        CODECS_BY_SELECTOR: java.util.Map = {0: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@2f6752b7, 1: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@5d670bd6, 2: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@4025f6ad, 3: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@4173b53c, 4: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@7a78143f, 5: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@2e8cb321, 6: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$1@18889e3, 7: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@2579706f, 8: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$2@16d0b390, 9: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@12f1e881, 10: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@24249b7, 11: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@7ececcf2, 12: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@3b4c9559, 14: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayObjectCodec@50d0a344}
        INT: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@7a78143f
        INT_ARR: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@7ececcf2
        LONG: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@2e8cb321
        LONG_ARR: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@3b4c9559
        SHORT: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@4173b53c
        SHORT_ARR: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@24249b7
        STRING: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$1@18889e3
        STRING_ARR: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayObjectCodec@50d0a344







        def decode(self, __a0: java.nio.ByteBuffer) -> object: ...

        def encode(self, __a0: java.nio.ByteBuffer, __a1: object) -> None: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        @overload
        @staticmethod
        def getCodec(__a0: int) -> ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec: ...

        @overload
        @staticmethod
        def getCodec(__a0: java.lang.Class) -> ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec: ...

        def getSelector(self) -> int: ...

        def getValueClass(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...

        @property
        def selector(self) -> int: ...

        @property
        def valueClass(self) -> java.lang.Class: ...




    class BooleanDBFieldCodec(ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.reflect.Field, __a2: int): ...



        def doLoad(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def doStore(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: bool, __a1: db.BooleanField) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...






    class LongDBFieldCodec(ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.reflect.Field, __a2: int): ...



        def doLoad(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def doStore(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: long, __a1: db.LongField) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...






    class LongArrayDBFieldCodec(ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.reflect.Field, __a2: int): ...



        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: List[long], __a1: db.BinaryField) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...



    def __init__(self, __a0: ghidra.util.database.DBCachedDomainObjectAdapter): ...



    def equals(self, __a0: object) -> bool: ...

    def getClass(self) -> java.lang.Class: ...

    def getOrCreateCachedStore(self, __a0: unicode, __a1: java.lang.Class, __a2: ghidra.util.database.DBAnnotatedObjectFactory, __a3: bool) -> ghidra.util.database.DBCachedObjectStore: ...

    def getOrCreateTable(self, __a0: unicode, __a1: java.lang.Class, __a2: bool) -> db.Table: ...

    def hashCode(self) -> int: ...

    def notify(self) -> None: ...

    def notifyAll(self) -> None: ...

    def toString(self) -> unicode: ...

    @overload
    def wait(self) -> None: ...

    @overload
    def wait(self, __a0: long) -> None: ...

    @overload
    def wait(self, __a0: long, __a1: int) -> None: ...

